using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace ReallifeGamemode.Database.Entities
{
  public partial class UserWeapon
  {
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int Id { get; set; }

    [ForeignKey("User")]
    public int UserId { get; set; }
    public User User { get; set; }

    [ForeignKey("Weapon")]
    public int WeaponId { get; set; }
    public Weapon Weapon { get; set; }

    public int Ammo { get; set; }
  }
}
